module Flypbook
  class PhotoStore
    @screenshots = []
    class << self
      attr_reader :screenshots

      def take_screenshot(identifier)
        filename = "#{identifier}-#{@screenshots.length + 1}.png"
        Capybara.current_session.save_screenshot filename
        @screenshots << filename
      end
    end
  end
end
